GNU bug report logs - #1621
Please move cperl micro-docs to top of the cperl-mode.el file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Jason A. Spiro" <jasonspiro4@HIDDEN>; Forwarded to eye.el.why.aye.zee@HIDDEN; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 23:50:35 +0000
From ilya@HIDDEN Mon Mar 16 16:50:35 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2GNoWs8021279
	for <1621@HIDDEN>; Mon, 16 Mar 2009 16:50:33 -0700
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id n2GNoVnE081297;
	Mon, 16 Mar 2009 16:50:31 -0700 (PDT)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id n2GNoU3n002074;
	Mon, 16 Mar 2009 16:50:30 -0700 (PDT)
Date: Mon, 16 Mar 2009 16:50:30 -0700
From: Ilya Zakharevich <nospam-abuse@HIDDEN>
To: era eriksson <era@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20090316235030.GA2067@HIDDEN>
References: <1235155177.28052.1301523467@HIDDEN> <20090221001534.GA5340@HIDDEN> <1235213681.789.1301613957@HIDDEN> <20090221225349.GA10921@HIDDEN> <1237169457.11425.1305561241@HIDDEN> <20090316040314.GA9645@HIDDEN> <1237193320.11378.1305597387@HIDDEN> <20090316091205.GA10436@HIDDEN> <1237233631.22160.1305713369@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1237233631.22160.1305713369@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Mon, Mar 16, 2009 at 10:00:31PM +0200, era eriksson wrote:
> > Thanks, Era, I would prefer obfuscation, and not of berkeley address,
> > but of ilyaz@HIDDEN
> 
> Done now, but you should be aware that the whole conversation is being
> archived at the URL quoted above, in mbox format and various other
> renderings.  I apologize if this was not sufficiently clear earlier. 
> (It's the Cc: which does it.)

Oups!  And I wondered why spam started to arrive directly to berkeley
address...  The major problem is that this Cc-address does not follow
the conventions for maillist addresses.  (My emailing setup tries to
recognize mailing lists, and uses a "logical" From-address in such
cases.  I reconfigured it now; checking....  Yes, it does recognize
this Cc address as a mailing list now...)

Thanks,
Ilya




Acknowledgement sent to Ilya Zakharevich <nospam-abuse@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 20:00:34 +0000
From era@HIDDEN Mon Mar 16 13:00:34 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2GK0VkD027418
	for <1621@HIDDEN>; Mon, 16 Mar 2009 13:00:32 -0700
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id 5A2FE2F1B5F;
	Mon, 16 Mar 2009 16:00:31 -0400 (EDT)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Mon, 16 Mar 2009 16:00:31 -0400
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 3488F86C6F; Mon, 16 Mar 2009 16:00:31 -0400 (EDT)
Message-Id: <1237233631.22160.1305713369@HIDDEN>
X-Sasl-Enc: c9odxThFktjKqJqxnwfGVDeprsmwMRD5qEZe2itNgMVv 1237233631
From: "era eriksson" <era@HIDDEN>
To: "Ilya Zakharevich" <ilya@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
References: <1235155177.28052.1301523467@HIDDEN>
 <20090221001534.GA5340@HIDDEN>
 <1235213681.789.1301613957@HIDDEN>
 <20090221225349.GA10921@HIDDEN>
 <1237169457.11425.1305561241@HIDDEN>
 <20090316040314.GA9645@HIDDEN>
 <1237193320.11378.1305597387@HIDDEN>
 <20090316091205.GA10436@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el
 file
In-Reply-To: <20090316091205.GA10436@HIDDEN>
Date: Mon, 16 Mar 2009 22:00:31 +0200

On Mon, 16 Mar 2009 02:12:05 -0700, "Ilya Zakharevich"
<ilya@HIDDEN> said:
> On Mon, Mar 16, 2009 at 10:48:40AM +0200, era eriksson wrote:
> > I'm talking about the bug's status in the Emacs Bug Tracking System at
> > http://emacsbugs.donarmstrong.com/1621 -- if Emacs maintainers don't
> > object, I'll change it to "forwarded <ilya@HIDDEN>" and 
> > take away the wontfix tag.  I hope it's not too far of a stretch to 
> > interpret your answer to mean that you don't really care about the 
> > Emacs BTS status of this bug report.
> > 
> > (The bug tracking system is an installation of the Debian BTS which by
> > design doesn't ever obfuscate email addresses.  I really hate this
> > "feature" because it's a regular fly paper for spam.  Maybe you would
> > prefer if I put something else than your email address in the
> > "forwarded" field, although I guess by and large the damage is already
> > done.)
> 
> Thanks, Era, I would prefer obfuscation, and not of berkeley address,
> but of ilyaz@HIDDEN

Done now, but you should be aware that the whole conversation is being
archived at the URL quoted above, in mbox format and various other
renderings.  I apologize if this was not sufficiently clear earlier. 
(It's the Cc: which does it.)

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to "era eriksson" <era@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.
Noted your statement that bug has been forwarded to eye.el.why.aye.zee@HIDDEN Request was from "era eriksson" <era@HIDDEN> to control@HIDDEN. Full text available.
Tags removed: wontfix Request was from "era eriksson" <era@HIDDEN> to control@HIDDEN. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 09:12:09 +0000
From ilya@HIDDEN Mon Mar 16 02:12:09 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2G9C746025421
	for <1621@HIDDEN>; Mon, 16 Mar 2009 02:12:08 -0700
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id n2G9C6YJ092104;
	Mon, 16 Mar 2009 02:12:06 -0700 (PDT)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id n2G9C6gd010443;
	Mon, 16 Mar 2009 02:12:06 -0700 (PDT)
Date: Mon, 16 Mar 2009 02:12:05 -0700
From: Ilya Zakharevich <ilya@HIDDEN>
To: era eriksson <era@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20090316091205.GA10436@HIDDEN>
References: <1235155177.28052.1301523467@HIDDEN> <20090221001534.GA5340@HIDDEN> <1235213681.789.1301613957@HIDDEN> <20090221225349.GA10921@HIDDEN> <1237169457.11425.1305561241@HIDDEN> <20090316040314.GA9645@HIDDEN> <1237193320.11378.1305597387@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1237193320.11378.1305597387@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Mon, Mar 16, 2009 at 10:48:40AM +0200, era eriksson wrote:
> I'm talking about the bug's status in the Emacs Bug Tracking System at
> http://emacsbugs.donarmstrong.com/1621 -- if Emacs maintainers don't
> object, I'll change it to "forwarded <ilya@HIDDEN>" and take
> away the wontfix tag.  I hope it's not too far of a stretch to interpret
> your answer to mean that you don't really care about the Emacs BTS
> status of this bug report.
> 
> (The bug tracking system is an installation of the Debian BTS which by
> design doesn't ever obfuscate email addresses.  I really hate this
> "feature" because it's a regular fly paper for spam.  Maybe you would
> prefer if I put something else than your email address in the
> "forwarded" field, although I guess by and large the damage is already
> done.)

Thanks, Era, I would prefer obfuscation, and not of berkeley address,
but of ilyaz@HIDDEN

Yours,
Ilya




Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 08:48:44 +0000
From era@HIDDEN Mon Mar 16 01:48:44 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,FVGT_m_MULTI_ODD,
	HAS_BUG_NUMBER autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2G8mecN018490
	for <1621@HIDDEN>; Mon, 16 Mar 2009 01:48:41 -0700
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id 5ADB52F0434;
	Mon, 16 Mar 2009 04:48:40 -0400 (EDT)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Mon, 16 Mar 2009 04:48:40 -0400
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 3CB85E6005; Mon, 16 Mar 2009 04:48:40 -0400 (EDT)
Message-Id: <1237193320.11378.1305597387@HIDDEN>
X-Sasl-Enc: dgAak38LT5+VXjM39EO10RSluHUgoD1XfLIaU1QvQ7G7 1237193320
From: "era eriksson" <era@HIDDEN>
To: "Ilya Zakharevich" <ilya@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
References: <1235155177.28052.1301523467@HIDDEN>
 <20090221001534.GA5340@HIDDEN>
 <1235213681.789.1301613957@HIDDEN>
 <20090221225349.GA10921@HIDDEN>
 <1237169457.11425.1305561241@HIDDEN>
 <20090316040314.GA9645@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el
 file
In-Reply-To: <20090316040314.GA9645@HIDDEN>
Date: Mon, 16 Mar 2009 10:48:40 +0200

On Sun, 15 Mar 2009 21:03:14 -0700, "Ilya Zakharevich"
<ilya@HIDDEN> said:
> On Mon, Mar 16, 2009 at 04:10:57AM +0200, era eriksson wrote:
> > Another thing I've been meaning to propose would be for cperl-mode 
> > to offer to install itself into your .emacs when you invoke it for 
> > the first time, sort of like how (put 'dangerous-command 'disabled 
> > nil) occasionally gets added to your .emacs after asking for 
> > permission.  (IIRC narrow-to-region is one of these "dangerous" 
> > commands, and some of the horizontal scrolling commands which I 
> > never use except by mistake.)
> 
> Myself, I would hate it if it were like this: supposed I'm annoyed by
> this "feature" - should it also ask whether to put a command into
> .emacs which would disable this question?  ;-)

The 'disabled logic is fairly unobtrusive IMHO.  My suggestion would be
to (defvar 'cperl-mode-install-setup-flag 'ask) and then either add
(setq 'cperl-mode-install-setup-flag nil) or 't to the user's .emacs if
the user doesn't specifically select "continue to ask me" instead of
"yes" or "no".

The main logic would simply inspect the value during load and do or do
not (there is no try :-) depending on what it says.

To my uneducated $self this sounds like it would need to go in a
separate .el file which would have some sort of ;;;###autoload but maybe
there is a more elegant way.

> > Do you think it would be appropriate to remove the +wontfix tag from
> > this bug?
> 
> I do not know what "the +wontfix" means.  The situation is as in "I
> considered your suggestions, I appreciated your suggestions, and I
> even mentioned possibly reconsidering your suggestions in my TODO
> files".  ;-)

I'm talking about the bug's status in the Emacs Bug Tracking System at
http://debbugs.gnu.org/1621 -- if Emacs maintainers don't
object, I'll change it to "forwarded <ilya@HIDDEN>" and take
away the wontfix tag.  I hope it's not too far of a stretch to interpret
your answer to mean that you don't really care about the Emacs BTS
status of this bug report.

(The bug tracking system is an installation of the Debian BTS which by
design doesn't ever obfuscate email addresses.  I really hate this
"feature" because it's a regular fly paper for spam.  Maybe you would
prefer if I put something else than your email address in the
"forwarded" field, although I guess by and large the damage is already
done.)

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to "era eriksson" <era@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 04:03:18 +0000
From ilya@HIDDEN Sun Mar 15 21:03:18 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2G43FiW008764
	for <1621@HIDDEN>; Sun, 15 Mar 2009 21:03:16 -0700
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id n2G43FRm076862;
	Sun, 15 Mar 2009 21:03:15 -0700 (PDT)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id n2G43EMj009695;
	Sun, 15 Mar 2009 21:03:14 -0700 (PDT)
Date: Sun, 15 Mar 2009 21:03:14 -0700
From: Ilya Zakharevich <ilya@HIDDEN>
To: era eriksson <era@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20090316040314.GA9645@HIDDEN>
References: <1235155177.28052.1301523467@HIDDEN> <20090221001534.GA5340@HIDDEN> <1235213681.789.1301613957@HIDDEN> <20090221225349.GA10921@HIDDEN> <1237169457.11425.1305561241@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1237169457.11425.1305561241@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Mon, Mar 16, 2009 at 04:10:57AM +0200, era eriksson wrote:
> I do think it makes sense to keep it in the micro-docs.  If nothing
> else, it's easy to refer newcomers to it, and even if you did manage to
> somehow set it up on your own, you might want to review the "official"
> way to do it, perhaps while idly browsing the micro-docs looking for
> neat stuff you didn't originally understand how to set up.
> 
> Another thing I've been meaning to propose would be for cperl-mode to
> offer to install itself into your .emacs when you invoke it for the
> first time, sort of like how (put 'dangerous-command 'disabled nil)
> occasionally gets added to your .emacs after asking for permission. 
> (IIRC narrow-to-region is one of these "dangerous" commands, and some of
> the horizontal scrolling commands which I never use except by mistake.)

Myself, I would hate it if it were like this: supposed I'm annoyed by
this "feature" - should it also ask whether to put a command into
.emacs which would disable this question?  ;-)

> Do you think it would be appropriate to remove the +wontfix tag from
> this bug?

I do not know what "the +wontfix" means.  The situation is as in "I
considered your suggestions, I appreciated your suggestions, and I
even mentioned possibly reconsidering your suggestions in my TODO
files".  ;-)

Yours,
Ilya




Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 16 Mar 2009 02:11:02 +0000
From era@HIDDEN Sun Mar 15 19:11:02 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.8 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	MDO_DATING13,MURPHY_DRUGS_REL8 autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2G2AwfD012631
	for <1621@HIDDEN>; Sun, 15 Mar 2009 19:11:00 -0700
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id A546F2EE55C;
	Sun, 15 Mar 2009 22:10:57 -0400 (EDT)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Sun, 15 Mar 2009 22:10:57 -0400
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 85B4E37BD1; Sun, 15 Mar 2009 22:10:57 -0400 (EDT)
Message-Id: <1237169457.11425.1305561241@HIDDEN>
X-Sasl-Enc: c6IKq28C1lTXP0DEM9zKyRgRkvae749+TC6rDd2M9Vmb 1237169457
From: "era eriksson" <era@HIDDEN>
To: "Ilya Zakharevich" <ilya@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
References: <1235155177.28052.1301523467@HIDDEN>
 <20090221001534.GA5340@HIDDEN>
 <1235213681.789.1301613957@HIDDEN>
 <20090221225349.GA10921@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el
 file
In-Reply-To: <20090221225349.GA10921@HIDDEN>
Date: Mon, 16 Mar 2009 04:10:57 +0200

On Sat, 21 Feb 2009 14:53:49 -0800, "Ilya Zakharevich"
<ilya@HIDDEN> said:
> On Sat, Feb 21, 2009 at 12:54:41PM +0200, era eriksson wrote:
> > > > Please find attached a proposed patch.  This is just a quick 
> > > > proof of concept; perhaps there is more startup-related 
> > > > information which could be moved to the new variable.
> > > 
> > > Again, I see no point in moving this information from the mode 
> > > help.  Why would one think it is an improvement?
> > 
> > This information is currently not in the mode help proper at all.  I
> > thought that this was by design.  I agree that moving it to the
> > `cperl-mode' documentation string from the `cperl-tips' 
> > documentation would already be an improvement.
<...> 
> P.S.
> 
> > Breaking out the setup / invocation information into its own clearly
> > labelled micro-doc would have the benefit of making it easy to 
> > refer to it directly from e.g. the Commentary (as requested by the 
> > original reporter) and other places (Info, Customize, etc) and 
> > separating it into one coherent, rather short topic for those who 
> > are only looking for this specific information.  The `cperl-tips' 
> > "micro-doc" has a rather oblique label and covers a lot of 
> > different topics, making it rather long, in spite of the "micro".
> 
> I expect that most people would explore Micro-docs from the mode menu.
> So putting this info there would be chicken-and-egg problem: to access
> the info on enabling the mode, they would need to enable the mode.
> 
> If this info is clearly visible in the mode help, do you think it
> still makes sense to duplicate it in the micro-docs?  Like
> 
>   What is this mode you are using?  I did not see it before...  How to
>   enable it?  Oh, it has a mode menu...
> 
> ;-)

Sorry for this late reply; missed your PS originally.

I do think it makes sense to keep it in the micro-docs.  If nothing
else, it's easy to refer newcomers to it, and even if you did manage to
somehow set it up on your own, you might want to review the "official"
way to do it, perhaps while idly browsing the micro-docs looking for
neat stuff you didn't originally understand how to set up.

Another thing I've been meaning to propose would be for cperl-mode to
offer to install itself into your .emacs when you invoke it for the
first time, sort of like how (put 'dangerous-command 'disabled nil)
occasionally gets added to your .emacs after asking for permission. 
(IIRC narrow-to-region is one of these "dangerous" commands, and some of
the horizontal scrolling commands which I never use except by mistake.)

Do you think it would be appropriate to remove the +wontfix tag from
this bug?  (Not sure whether or not this bug applies to upstream Emacs
or your code at this point, and how the two are being coordinated, if at
all.)

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to "era eriksson" <era@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 21 Feb 2009 22:53:53 +0000
From ilya@HIDDEN Sat Feb 21 14:53:53 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	MURPHY_DRUGS_REL8 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n1LMrpw1019072
	for <1621@HIDDEN>; Sat, 21 Feb 2009 14:53:52 -0800
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id n1LMroXK079288;
	Sat, 21 Feb 2009 14:53:50 -0800 (PST)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id n1LMroOu010934;
	Sat, 21 Feb 2009 14:53:50 -0800 (PST)
Date: Sat, 21 Feb 2009 14:53:49 -0800
From: Ilya Zakharevich <ilya@HIDDEN>
To: era eriksson <era@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20090221225349.GA10921@HIDDEN>
References: <1235155177.28052.1301523467@HIDDEN> <20090221001534.GA5340@HIDDEN> <1235213681.789.1301613957@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1235213681.789.1301613957@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Sat, Feb 21, 2009 at 12:54:41PM +0200, era eriksson wrote:
> > > Please find attached a proposed patch.  This is just a quick proof 
> > > of concept; perhaps there is more startup-related information which 
> > > could be moved to the new variable.
> > 
> > Again, I see no point in moving this information from the mode help.
> > Why would one think it is an improvement?
> 
> This information is currently not in the mode help proper at all.  I
> thought that this was by design.  I agree that moving it to the
> `cperl-mode' documentation string from the `cperl-tips' documentation
> would already be an improvement.

Oups, did not realize this; sorry!  I agree; >> TODO.

Thanks,
Ilya

P.S.

> Breaking out the setup / invocation information into its own clearly
> labelled micro-doc would have the benefit of making it easy to refer to
> it directly from e.g. the Commentary (as requested by the original
> reporter) and other places (Info, Customize, etc) and separating it into
> one coherent, rather short topic for those who are only looking for this
> specific information.  The `cperl-tips' "micro-doc" has a rather oblique
> label and covers a lot of different topics, making it rather long, in
> spite of the "micro".

I expect that most people would explore Micro-docs from the mode menu.
So putting this info there would be chicken-and-egg problem: to access
the info on enabling the mode, they would need to enable the mode.

If this info is clearly visible in the mode help, do you think it
still makes sense to duplicate it in the micro-docs?  Like

  What is this mode you are using?  I did not see it before...  How to
  enable it?  Oh, it has a mode menu...

;-)




Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 21 Feb 2009 10:54:47 +0000
From era@HIDDEN Sat Feb 21 02:54:46 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER,
	MURPHY_DRUGS_REL8 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n1LAsgDb029910
	for <1621@HIDDEN>; Sat, 21 Feb 2009 02:54:44 -0800
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id 1B86A2A22C1;
	Sat, 21 Feb 2009 05:54:42 -0500 (EST)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Sat, 21 Feb 2009 05:54:42 -0500
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id F014A558DD; Sat, 21 Feb 2009 05:54:41 -0500 (EST)
Message-Id: <1235213681.789.1301613957@HIDDEN>
X-Sasl-Enc: r/Ll+T7xZL9CKEM2TYkWjBKBLuA+WFcLz1P+m/yuE9/M 1235213681
From: "era eriksson" <era@HIDDEN>
To: "Ilya Zakharevich" <ilya@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
References: <1235155177.28052.1301523467@HIDDEN>
 <20090221001534.GA5340@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el
 file
In-Reply-To: <20090221001534.GA5340@HIDDEN>
Date: Sat, 21 Feb 2009 12:54:41 +0200

On Fri, 20 Feb 2009 16:15:34 -0800, "Ilya Zakharevich"
<ilya@HIDDEN> said:
> On Fri, Feb 20, 2009 at 08:39:37PM +0200, era eriksson wrote:
> > How about a slight refactoring to make it more obvious where to 
> > look for the startup information?
> > 
> > Please find attached a proposed patch.  This is just a quick proof 
> > of concept; perhaps there is more startup-related information which 
> > could be moved to the new variable.
> 
> Again, I see no point in moving this information from the mode help.
> Why would one think it is an improvement?

This information is currently not in the mode help proper at all.  I
thought that this was by design.  I agree that moving it to the
`cperl-mode' documentation string from the `cperl-tips' documentation
would already be an improvement.

The name of `cperl-tips' I think suggests that it explains how to use
some slightly esoteric features, and by and large this holds true.  I
have been looking for the startup information on numerous occasions, and
more often than not ignored `cperl-tips' based on my interpretation of
what the name means.

Breaking out the setup / invocation information into its own clearly
labelled micro-doc would have the benefit of making it easy to refer to
it directly from e.g. the Commentary (as requested by the original
reporter) and other places (Info, Customize, etc) and separating it into
one coherent, rather short topic for those who are only looking for this
specific information.  The `cperl-tips' "micro-doc" has a rather oblique
label and covers a lot of different topics, making it rather long, in
spite of the "micro".

Especially for a feature which is likely to be the first and possibly
only time a new user tries to get to know cperl-mode, usability is of
critical importance.  If it's not blindingly obvious how to enable
cperl-mode by default, many potential users will simply give up on it.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to "era eriksson" <era@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 21 Feb 2009 00:15:38 +0000
From ilya@HIDDEN Fri Feb 20 16:15:38 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER,
	MURPHY_DRUGS_REL8 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n1L0FaWI031698
	for <1621@HIDDEN>; Fri, 20 Feb 2009 16:15:37 -0800
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id n1L0FZZx000937;
	Fri, 20 Feb 2009 16:15:35 -0800 (PST)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id n1L0FYPZ005347;
	Fri, 20 Feb 2009 16:15:34 -0800 (PST)
Date: Fri, 20 Feb 2009 16:15:34 -0800
From: Ilya Zakharevich <ilya@HIDDEN>
To: era eriksson <era@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20090221001534.GA5340@HIDDEN>
References: <1235155177.28052.1301523467@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1235155177.28052.1301523467@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Fri, Feb 20, 2009 at 08:39:37PM +0200, era eriksson wrote:
> How about a slight refactoring to make it more obvious where to look for
> the startup information?
> 
> Please find attached a proposed patch.  This is just a quick proof of
> concept; perhaps there is more startup-related information which could
> be moved to the new variable.

Again, I see no point in moving this information from the mode help.
Why would one think it is an improvement?

Yours,
Ilya




Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 20 Feb 2009 18:39:42 +0000
From era@HIDDEN Fri Feb 20 10:39:41 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	MURPHY_DRUGS_REL8 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n1KIdbVV008723
	for <1621@HIDDEN>; Fri, 20 Feb 2009 10:39:39 -0800
Received: from compute2.internal (compute2.internal [10.202.2.42])
	by out1.messagingengine.com (Postfix) with ESMTP id 4B06C29D59C;
	Fri, 20 Feb 2009 13:39:37 -0500 (EST)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute2.internal (MEProxy); Fri, 20 Feb 2009 13:39:37 -0500
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 2135AE7163; Fri, 20 Feb 2009 13:39:37 -0500 (EST)
Message-Id: <1235155177.28052.1301523467@HIDDEN>
X-Sasl-Enc: o24zSW+HcvcRAcjCFs+cb2Nu/PpeWCh6kyK1g6/Nm/ix 1235155177
From: "era eriksson" <era@HIDDEN>
To: 1621 <at> debbugs.gnu.org
Cc: "Ilya Zakharevich" <ilya@HIDDEN>
Content-Transfer-Encoding: 7bit
Content-Type: multipart/mixed; boundary="_----------=_1235155177280520"; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el
 file
Date: Fri, 20 Feb 2009 20:39:37 +0200

This is a multi-part message in MIME format.

--_----------=_1235155177280520
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
Date: Fri, 20 Feb 2009 18:39:37 UT

How about a slight refactoring to make it more obvious where to look for
the startup information?

Please find attached a proposed patch.  This is just a quick proof of
concept; perhaps there is more startup-related information which could
be moved to the new variable.

(Cc:ing Ilya as I don't know whether he subscribes to this bug report.)

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.


--_----------=_1235155177280520
Content-Disposition: attachment; filename="cperl-mode-el.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="cperl-mode-el.patch"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
Date: Fri, 20 Feb 2009 18:39:37 UT
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--_----------=_1235155177280520--





Acknowledgement sent to "era eriksson" <era@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 21 Dec 2008 00:13:58 +0000
From jasonspiro@HIDDEN Sat Dec 20 16:13:58 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from yw-out-2324.google.com (yw-out-2324.google.com [74.125.46.29])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBL0DpvL022841
	for <1621@HIDDEN>; Sat, 20 Dec 2008 16:13:52 -0800
Received: by yw-out-2324.google.com with SMTP id 3so529649ywj.31
        for <1621@HIDDEN>; Sat, 20 Dec 2008 16:13:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=JX+t38R2eWG1Uff5WDySOIn920c5qE1E14vGimUjgUI=;
        b=m9TCKwvcKRELmP4YPikhkZERCRCQIc9EEpsWkCpr2GZF/fRVuHw57XxQs/sWaHe9Y6
         UUHsTGMhC14Ccxjr1uTO2RpB7WF5SPgv21GloW3jI9UCdx75E61xhI2rw19FnF4L1qOJ
         U1TkYpNz6XXNRrWTlngP+romIKbRUENun6Sj8=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=N+ZwtGVJFf6kTeXYE8LPddARTKMGPvad5M2dIvU+SVSnkD3C+onVlqjSFveKOR8xE0
         +kJLmVpLqfu7zFb5iu3fnjSpy1mK5r9/lsNj/FNd7i32rV/6+grsC/HprTzG3UzwPJrE
         zg2UlGJyMM6va/bYMJRrJjQA/2f73ptFuWC0E=
Received: by 10.90.91.9 with SMTP id o9mr2569209agb.94.1229818430655;
        Sat, 20 Dec 2008 16:13:50 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Sat, 20 Dec 2008 16:13:50 -0800 (PST)
Message-ID: <c241693f0812201613o520a31f7md511b8db67bd6b33@HIDDEN>
Date: Sat, 20 Dec 2008 19:13:50 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: "Ilya Zakharevich" <ilya@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <20081221000241.GA17638@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
	 <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
	 <20081220225309.GA17257@HIDDEN>
	 <c241693f0812201541t1b00d5c2wda9c995d31017093@HIDDEN>
	 <20081221000241.GA17638@HIDDEN>
X-Google-Sender-Auth: 93a8b55b09f40414
X-CrossAssassin-Score: 2

2008/12/20 Ilya Zakharevich <ilya@HIDDEN> wrote:
>
> Let me STILL try to get some clarification.  Did you not read the mode
> help, and/or investigated the mode menu, or you did but not noticed
> references to micro-docs?

IIRC I did not read the mode help or look at the mode menu.  I simply
looked for a Commentary section.

I hadn't used the mode much yet:  it definitely had been less than an
hour.  But in general, I almost never read mode help, and I seldom
look at mode menus.  I do sometimes read mode Info documentation, or
Lisp file Commentary sections.

P.S.  I added the original CC list back.  If you did not want me to do
this, please let me know.




Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 21 Dec 2008 00:13:56 +0000
From jasonspiro@HIDDEN Sat Dec 20 16:13:56 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBL0DrGj022844
	for <submit@HIDDEN>; Sat, 20 Dec 2008 16:13:54 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LEBxB-0004nG-7P
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 19:13:53 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LEBx9-0004m4-Pi
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 19:13:52 -0500
Received: from [199.232.76.173] (port=45714 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LEBx9-0004m1-KJ
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 19:13:51 -0500
Received: from mail-gx0-f16.google.com ([209.85.217.16]:61303)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <jasonspiro@HIDDEN>)
	id 1LEBx9-0002OS-Cx
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 19:13:51 -0500
Received: by gxk9 with SMTP id 9so765904gxk.18
        for <bug-gnu-emacs@HIDDEN>; Sat, 20 Dec 2008 16:13:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=JX+t38R2eWG1Uff5WDySOIn920c5qE1E14vGimUjgUI=;
        b=m9TCKwvcKRELmP4YPikhkZERCRCQIc9EEpsWkCpr2GZF/fRVuHw57XxQs/sWaHe9Y6
         UUHsTGMhC14Ccxjr1uTO2RpB7WF5SPgv21GloW3jI9UCdx75E61xhI2rw19FnF4L1qOJ
         U1TkYpNz6XXNRrWTlngP+romIKbRUENun6Sj8=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=N+ZwtGVJFf6kTeXYE8LPddARTKMGPvad5M2dIvU+SVSnkD3C+onVlqjSFveKOR8xE0
         +kJLmVpLqfu7zFb5iu3fnjSpy1mK5r9/lsNj/FNd7i32rV/6+grsC/HprTzG3UzwPJrE
         zg2UlGJyMM6va/bYMJRrJjQA/2f73ptFuWC0E=
Received: by 10.90.91.9 with SMTP id o9mr2569209agb.94.1229818430655;
        Sat, 20 Dec 2008 16:13:50 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Sat, 20 Dec 2008 16:13:50 -0800 (PST)
Message-ID: <c241693f0812201613o520a31f7md511b8db67bd6b33@HIDDEN>
Date: Sat, 20 Dec 2008 19:13:50 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: "Ilya Zakharevich" <ilya@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <20081221000241.GA17638@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
	 <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
	 <20081220225309.GA17257@HIDDEN>
	 <c241693f0812201541t1b00d5c2wda9c995d31017093@HIDDEN>
	 <20081221000241.GA17638@HIDDEN>
X-Google-Sender-Auth: 93a8b55b09f40414
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

2008/12/20 Ilya Zakharevich <ilya@HIDDEN> wrote:
>
> Let me STILL try to get some clarification.  Did you not read the mode
> help, and/or investigated the mode menu, or you did but not noticed
> references to micro-docs?

IIRC I did not read the mode help or look at the mode menu.  I simply
looked for a Commentary section.

I hadn't used the mode much yet:  it definitely had been less than an
hour.  But in general, I almost never read mode help, and I seldom
look at mode menus.  I do sometimes read mode Info documentation, or
Lisp file Commentary sections.

P.S.  I added the original CC list back.  If you did not want me to do
this, please let me know.





Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 20 Dec 2008 23:41:40 +0000
From jasonspiro@HIDDEN Sat Dec 20 15:41:39 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from yw-out-2324.google.com (yw-out-2324.google.com [74.125.46.31])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBKNfa2P014699
	for <1621@HIDDEN>; Sat, 20 Dec 2008 15:41:37 -0800
Received: by yw-out-2324.google.com with SMTP id 3so527521ywj.31
        for <1621@HIDDEN>; Sat, 20 Dec 2008 15:41:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=dpdBgCoEslxUs4oa/ZNXaVdOYTMLKv8yu7OqJy8u6pQ=;
        b=NjOmNXPDtJErQZWLet88ATxiyHSGsNnf+8Kpk6hPBmh63fYc4JX1ekk0PWi0m6zBjY
         tFBi0RCrO2iqeUqWggzTXPsodjKbzb00w4TtJmNs0Gy8tp6o5jdbR6/vlYcBIqzNq6sw
         7hOce7/5yVQtu+vbir/vChGAyMzvyoUiD1znY=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=SY0XS+etdxpfdlW/19Ug9vq58318B7//ELi+5fR4IyAr//dLnG6D78CzfLpED5nwNa
         M3WaOy0uiiT2siner4Cyq8XXXaPH10DxA4T4OSZMLkk1yW88rALyQQBTsm4Vwy1SPUn6
         frsfTJkvdnjjRvIXl6gc0g3R0j13jO4f98hMg=
Received: by 10.90.70.15 with SMTP id s15mr2563091aga.82.1229816496233;
        Sat, 20 Dec 2008 15:41:36 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Sat, 20 Dec 2008 15:41:36 -0800 (PST)
Message-ID: <c241693f0812201541t1b00d5c2wda9c995d31017093@HIDDEN>
Date: Sat, 20 Dec 2008 18:41:36 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: "Ilya Zakharevich" <ilya@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <20081220225309.GA17257@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
	 <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
	 <20081220225309.GA17257@HIDDEN>
X-Google-Sender-Auth: 47b6611e37e8c2a9

2008/12/20 Ilya Zakharevich <ilya@HIDDEN>:
> Could you please explain to me the mental model of people who would
> read the code of CPerl, but not the mode help, and would not explore
> the mode menu?

I don't know why that mental model has happened.  But I know it
happened to me.  I don't expect help to be located halfway through a
Lisp file.  I expect it to be either in Info format or as docstrings
or near the top of the file.  :)

Remember, the change I am suggesting is an easy one to make.




Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 20 Dec 2008 23:41:43 +0000
From jasonspiro@HIDDEN Sat Dec 20 15:41:43 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBKNfeba014706
	for <submit@HIDDEN>; Sat, 20 Dec 2008 15:41:41 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LEBRz-0001Pm-H4
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 18:41:39 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LEBRy-0001Ox-8m
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 18:41:38 -0500
Received: from [199.232.76.173] (port=43402 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LEBRx-0001Op-IG
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 18:41:37 -0500
Received: from yx-out-1718.google.com ([74.125.44.154]:49151)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <jasonspiro@HIDDEN>)
	id 1LEBRx-0000ST-6Q
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 18:41:37 -0500
Received: by yx-out-1718.google.com with SMTP id 34so565199yxf.66
        for <bug-gnu-emacs@HIDDEN>; Sat, 20 Dec 2008 15:41:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=dpdBgCoEslxUs4oa/ZNXaVdOYTMLKv8yu7OqJy8u6pQ=;
        b=NjOmNXPDtJErQZWLet88ATxiyHSGsNnf+8Kpk6hPBmh63fYc4JX1ekk0PWi0m6zBjY
         tFBi0RCrO2iqeUqWggzTXPsodjKbzb00w4TtJmNs0Gy8tp6o5jdbR6/vlYcBIqzNq6sw
         7hOce7/5yVQtu+vbir/vChGAyMzvyoUiD1znY=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=SY0XS+etdxpfdlW/19Ug9vq58318B7//ELi+5fR4IyAr//dLnG6D78CzfLpED5nwNa
         M3WaOy0uiiT2siner4Cyq8XXXaPH10DxA4T4OSZMLkk1yW88rALyQQBTsm4Vwy1SPUn6
         frsfTJkvdnjjRvIXl6gc0g3R0j13jO4f98hMg=
Received: by 10.90.70.15 with SMTP id s15mr2563091aga.82.1229816496233;
        Sat, 20 Dec 2008 15:41:36 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Sat, 20 Dec 2008 15:41:36 -0800 (PST)
Message-ID: <c241693f0812201541t1b00d5c2wda9c995d31017093@HIDDEN>
Date: Sat, 20 Dec 2008 18:41:36 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: "Ilya Zakharevich" <ilya@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <20081220225309.GA17257@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
	 <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
	 <20081220225309.GA17257@HIDDEN>
X-Google-Sender-Auth: 47b6611e37e8c2a9
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)
X-CrossAssassin-Score: 2

2008/12/20 Ilya Zakharevich <ilya@HIDDEN>:
> Could you please explain to me the mental model of people who would
> read the code of CPerl, but not the mode help, and would not explore
> the mode menu?

I don't know why that mental model has happened.  But I know it
happened to me.  I don't expect help to be located halfway through a
Lisp file.  I expect it to be either in Info format or as docstrings
or near the top of the file.  :)

Remember, the change I am suggesting is an easy one to make.





Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 20 Dec 2008 22:53:14 +0000
From ilya@HIDDEN Sat Dec 20 14:53:14 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.math.berkeley.edu (mail.math.Berkeley.EDU [169.229.58.57])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBKMrCRc001781
	for <1621@HIDDEN>; Sat, 20 Dec 2008 14:53:13 -0800
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id mBKMrBqg042774;
	Sat, 20 Dec 2008 14:53:11 -0800 (PST)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id mBKMrA5f017266;
	Sat, 20 Dec 2008 14:53:10 -0800 (PST)
Date: Sat, 20 Dec 2008 14:53:09 -0800
From: Ilya Zakharevich <ilya@HIDDEN>
To: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20081220225309.GA17257@HIDDEN>
References: <20070401035915.3121.73126.malonedeb@HIDDEN> <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN> <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN> <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57

On Fri, Dec 19, 2008 at 01:06:44AM -0500, Jason A. Spiro wrote:
> Ilya, could you too please move the micro-docs from the middle of the
> your cperl-mode.el Elisp file to the top of the file?  This will make
> more people see the micro-docs.

Could you please explain to me the mental model of people who would
read the code of CPerl, but not the mode help, and would not explore
the mode menu?

Thanks,
Ilya




Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 20 Dec 2008 22:53:31 +0000
From ilya@HIDDEN Sat Dec 20 14:53:31 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBKMrSVt001790
	for <submit@HIDDEN>; Sat, 20 Dec 2008 14:53:29 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LEAhM-0005Od-CN
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 17:53:28 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LEAhH-0005Ko-Ad
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 17:53:27 -0500
Received: from [199.232.76.173] (port=42248 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LEAhH-0005Kl-41
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 17:53:23 -0500
Received: from mail.math.berkeley.edu ([169.229.58.57]:60071)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <ilya@HIDDEN>)
	id 1LEAhG-0005Jc-BZ
	for bug-gnu-emacs@HIDDEN; Sat, 20 Dec 2008 17:53:22 -0500
Received: from powdermilk.math.berkeley.edu (IDENT:5930@HIDDEN [169.229.140.13])
	by mail.math.berkeley.edu (8.14.3/8.14.3) with ESMTP id mBKMrBqg042774;
	Sat, 20 Dec 2008 14:53:11 -0800 (PST)
	(envelope-from ilya@HIDDEN)
Received: (from ilya@localhost)
	by powdermilk.math.berkeley.edu (8.13.8+Sun/8.12.10/Submit) id mBKMrA5f017266;
	Sat, 20 Dec 2008 14:53:10 -0800 (PST)
Date: Sat, 20 Dec 2008 14:53:09 -0800
From: Ilya Zakharevich <ilya@HIDDEN>
To: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <20081220225309.GA17257@HIDDEN>
References: <20070401035915.3121.73126.malonedeb@HIDDEN> <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN> <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN> <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
User-Agent: mutt-ng/devel-r561 (SunOS)
X-Scanned-By: MIMEDefang 2.64 on 169.229.58.57
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

On Fri, Dec 19, 2008 at 01:06:44AM -0500, Jason A. Spiro wrote:
> Ilya, could you too please move the micro-docs from the middle of the
> your cperl-mode.el Elisp file to the top of the file?  This will make
> more people see the micro-docs.

Could you please explain to me the mental model of people who would
read the code of CPerl, but not the mode help, and would not explore
the mode menu?

Thanks,
Ilya





Acknowledgement sent to Ilya Zakharevich <ilya@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 19 Dec 2008 09:14:54 +0000
From jasonspiro@HIDDEN Fri Dec 19 01:14:53 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-gx0-f16.google.com (mail-gx0-f16.google.com [209.85.217.16])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBJ66o0w029163
	for <1621@HIDDEN>; Thu, 18 Dec 2008 22:06:51 -0800
Received: by gxk9 with SMTP id 9so270424gxk.1
        for <1621@HIDDEN>; Thu, 18 Dec 2008 22:06:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=yLFIDJDCbIOgoWCjEsW9GD4MpJnnY+RYNZBvG4As+W8=;
        b=JddV9E0OCvJK5mB5/OIasL6TGWA+HEsKpAtWvSOfm7IR6v75fXiV3yVPM9HNKpR/uc
         kiXZBOVQaYG6TsyPBDmA5XmMBked8e+vsibL6245LKUt1KEa0z2eKAfCArZN1DlVwF4D
         d4h79QFq2X9lJCG3afMF9q57YuYRV+P5jEICA=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=gRpQrc8bYNQbDPqy83POifO23eWfwIiux9judbbQP3lSDhageG+C/rMT4zMEv/IBf4
         ciwBExivNiKl3h51QR0Ur8PGOaBIwxxkKLyM32eFm7JHUTARpujmEInc47RE1jmYcuI1
         +q960L2kFFoI9JYz6ADa1ZYmY9dIz3fihofL8=
Received: by 10.90.90.4 with SMTP id n4mr1602323agb.103.1229666804367;
        Thu, 18 Dec 2008 22:06:44 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Thu, 18 Dec 2008 22:06:44 -0800 (PST)
Message-ID: <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
Date: Fri, 19 Dec 2008 01:06:44 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: cpan@HIDDEN
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
X-Google-Sender-Auth: 4d6c523e42d9f02c

2008/12/18 Stefan Monnier <monnier@HIDDEN> wrote:
>> Please move the cperl micro-docs from the middle of the cperl-mode.el
>> Elisp file to the top of the file.  This will make more people see them.
>
> I suggest we add some text in the Commentary that point people to the
> docstrings below.  Moving the docstrings wholesale will increase the
> merge burden when syncing with Ilya's version.

Ilya, could you too please move the micro-docs from the middle of the
your cperl-mode.el Elisp file to the top of the file?  This will make
more people see the micro-docs.  And then I hope the GNU Emacs
maintainers will adopt your change downstream.

Please Reply to All.  By the way, I sent mail to this address
@ilyaz.org because I could not find any non-Perl-related address to
write to.

-- 
Jason Spiro: software/web developer, packager, trainer, IT consultant.
I support Linux, UNIX, Windows, and more. Contact me to discuss your needs.
+1 (416) 992-3445 / www.jspiro.com




Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 19 Dec 2008 09:14:54 +0000
From jasonspiro@HIDDEN Fri Dec 19 01:14:54 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBJ66nQG029170
	for <submit@HIDDEN>; Thu, 18 Dec 2008 22:06:50 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LDYVc-0008Lm-QO
	for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2008 01:06:48 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LDYVb-0008LP-Qp
	for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2008 01:06:48 -0500
Received: from [199.232.76.173] (port=45799 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LDYVb-0008LM-MN
	for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2008 01:06:47 -0500
Received: from yw-out-1718.google.com ([74.125.46.153]:51634)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <jasonspiro@HIDDEN>)
	id 1LDYVb-0005cG-8H
	for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2008 01:06:47 -0500
Received: by yw-out-1718.google.com with SMTP id 9so313756ywk.66
        for <bug-gnu-emacs@HIDDEN>; Thu, 18 Dec 2008 22:06:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=yLFIDJDCbIOgoWCjEsW9GD4MpJnnY+RYNZBvG4As+W8=;
        b=JddV9E0OCvJK5mB5/OIasL6TGWA+HEsKpAtWvSOfm7IR6v75fXiV3yVPM9HNKpR/uc
         kiXZBOVQaYG6TsyPBDmA5XmMBked8e+vsibL6245LKUt1KEa0z2eKAfCArZN1DlVwF4D
         d4h79QFq2X9lJCG3afMF9q57YuYRV+P5jEICA=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=gRpQrc8bYNQbDPqy83POifO23eWfwIiux9judbbQP3lSDhageG+C/rMT4zMEv/IBf4
         ciwBExivNiKl3h51QR0Ur8PGOaBIwxxkKLyM32eFm7JHUTARpujmEInc47RE1jmYcuI1
         +q960L2kFFoI9JYz6ADa1ZYmY9dIz3fihofL8=
Received: by 10.90.90.4 with SMTP id n4mr1602323agb.103.1229666804367;
        Thu, 18 Dec 2008 22:06:44 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Thu, 18 Dec 2008 22:06:44 -0800 (PST)
Message-ID: <c241693f0812182206h423ae3acj487e25b7c6da467f@HIDDEN>
Date: Fri, 19 Dec 2008 01:06:44 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: cpan@HIDDEN
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN,
        "Stefan Monnier" <monnier@HIDDEN>
In-Reply-To: <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	 <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
X-Google-Sender-Auth: 4d6c523e42d9f02c
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

2008/12/18 Stefan Monnier <monnier@HIDDEN> wrote:
>> Please move the cperl micro-docs from the middle of the cperl-mode.el
>> Elisp file to the top of the file.  This will make more people see them.
>
> I suggest we add some text in the Commentary that point people to the
> docstrings below.  Moving the docstrings wholesale will increase the
> merge burden when syncing with Ilya's version.

Ilya, could you too please move the micro-docs from the middle of the
your cperl-mode.el Elisp file to the top of the file?  This will make
more people see the micro-docs.  And then I hope the GNU Emacs
maintainers will adopt your change downstream.

Please Reply to All.  By the way, I sent mail to this address
@ilyaz.org because I could not find any non-Perl-related address to
write to.

-- 
Jason Spiro: software/web developer, packager, trainer, IT consultant.
I support Linux, UNIX, Windows, and more. Contact me to discuss your needs.
+1 (416) 992-3445 / www.jspiro.com




Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.
Tags added: wontfix Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 19 Dec 2008 02:29:19 +0000
From rgm@HIDDEN Thu Dec 18 18:29:19 2008
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-8.0 required=4.0 tests=HAS_BUG_NUMBER,
	VALID_BTS_CONTROL,X_DEBBUGS_NO_ACK autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBJ2TAPB025901;
	Thu, 18 Dec 2008 18:29:11 -0800
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1LDV6E-00011n-8P; Thu, 18 Dec 2008 21:28:22 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org, "Jason A. Spiro" <jasonspiro4@HIDDEN>
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	<20070401035915.3121.73126.malonedeb@HIDDEN>
	<c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	<jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
X-Spook: LLNL espionage cypherpunk ANDVT lock picking brigand
X-Ran: RmlEw_XD^rXmQ@pgdR**16~FM>"U4m{H,2r7%m(aMZ-"&FFbjg1aL:d({`qJSx_KP(2u92
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 18 Dec 2008 21:28:22 -0500
In-Reply-To: <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN> (Stefan
	Monnier's message of "Thu, 18 Dec 2008 16:39:40 -0500")
Message-ID: <q6iqpg99vd.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

tags 1621 wontfix
stop

Stefan Monnier wrote:

>> Please move the cperl micro-docs from the middle of the cperl-mode.el
>> Elisp file to the top of the file.  This will make more people see them.
>
> I suggest we add some text in the Commentary that point people to the
> docstrings below.

There already is such text, indicated with capital letters and "<<<<<"
signs, no less.




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at 1621@HIDDEN:


Received: (at 1621) by emacsbugs.donarmstrong.com; 18 Dec 2008 21:39:49 +0000
From monnier@HIDDEN Thu Dec 18 13:39:49 2008
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=HAS_BUG_NUMBER,XIRONPORT
	autolearn=unavailable version=3.2.3-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.teksavvy.com [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBILdkwU027247
	for <1621@HIDDEN>; Thu, 18 Dec 2008 13:39:47 -0800
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtYEAENSSknO+J7J/2dsb2JhbACBbL0yWJBZgwaBPw
X-IronPort-AV: E=Sophos;i="4.36,245,1228107600"; 
   d="scan'208";a="31242115"
Received: from 206-248-158-201.dsl.teksavvy.com (HELO pastel.home) ([206.248.158.201])
  by ironport2-out.teksavvy.com with ESMTP; 18 Dec 2008 16:39:40 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 808DC7F41; Thu, 18 Dec 2008 16:39:40 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	<20070401035915.3121.73126.malonedeb@HIDDEN>
	<c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
Date: Thu, 18 Dec 2008 16:39:40 -0500
In-Reply-To: <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	(Jason A. Spiro's message of "Thu, 18 Dec 2008 00:14:25 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> Please move the cperl micro-docs from the middle of the cperl-mode.el
> Elisp file to the top of the file.  This will make more people see them.

I suggest we add some text in the Commentary that point people to the
docstrings below.  Moving the docstrings wholesale will increase the
merge burden when syncing with Ilya's version.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 18 Dec 2008 21:39:48 +0000
From monnier@HIDDEN Thu Dec 18 13:39:47 2008
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=HAS_BUG_NUMBER,XIRONPORT
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBILdi11027257
	for <submit@HIDDEN>; Thu, 18 Dec 2008 13:39:45 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LDQat-0008Sa-Rg
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 16:39:43 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LDQas-0008Rr-7j
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 16:39:43 -0500
Received: from [199.232.76.173] (port=53984 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LDQas-0008Rm-3w
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 16:39:42 -0500
Received: from ironport2-out.pppoe.ca ([206.248.154.182]:55740 helo=ironport2-out.teksavvy.com)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <monnier@HIDDEN>)
	id 1LDQar-0000Z0-S6
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 16:39:41 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtYEAENSSknO+J7J/2dsb2JhbACBbL0yWJBZgwaBPw
X-IronPort-AV: E=Sophos;i="4.36,245,1228107600"; 
   d="scan'208";a="31242115"
Received: from 206-248-158-201.dsl.teksavvy.com (HELO pastel.home) ([206.248.158.201])
  by ironport2-out.teksavvy.com with ESMTP; 18 Dec 2008 16:39:40 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 808DC7F41; Thu, 18 Dec 2008 16:39:40 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Cc: 1621 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
Subject: Re: bug#1621: Please move cperl micro-docs to top of the cperl-mode.el file
Message-ID: <jwvabatf9kr.fsf-monnier+emacsbugreports@HIDDEN>
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	<20070401035915.3121.73126.malonedeb@HIDDEN>
	<c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
Date: Thu, 18 Dec 2008 16:39:40 -0500
In-Reply-To: <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
	(Jason A. Spiro's message of "Thu, 18 Dec 2008 00:14:25 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

> Please move the cperl micro-docs from the middle of the cperl-mode.el
> Elisp file to the top of the file.  This will make more people see them.

I suggest we add some text in the Commentary that point people to the
docstrings below.  Moving the docstrings wholesale will increase the
merge burden when syncing with Ilya's version.


        Stefan





Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 18 Dec 2008 05:14:33 +0000
From jasonspiro@HIDDEN Wed Dec 17 21:14:33 2008
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.0 required=4.0 tests=GMAIL,HAS_PACKAGE
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBI5EUCV000683
	for <submit@HIDDEN>; Wed, 17 Dec 2008 21:14:31 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LDBDR-0004hw-CM
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 00:14:29 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LDBDP-0004cl-4k
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 00:14:28 -0500
Received: from [199.232.76.173] (port=43943 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LDBDO-0004cW-RY
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 00:14:26 -0500
Received: from mail-gx0-f16.google.com ([209.85.217.16]:62099)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <jasonspiro@HIDDEN>)
	id 1LDBDO-0003lZ-Hp
	for bug-gnu-emacs@HIDDEN; Thu, 18 Dec 2008 00:14:26 -0500
Received: by gxk9 with SMTP id 9so210162gxk.18
        for <bug-gnu-emacs@HIDDEN>; Wed, 17 Dec 2008 21:14:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:sender
         :to:subject:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references
         :x-google-sender-auth;
        bh=0gfBjO7MSqlkEdWEYkGTGb052a34uQeiTjPJ5FjIOM8=;
        b=qiJLsparJF3RLpQeFOOnaUgyBF+eY77n4bInChSisz7gpuEaKZ0/M7bBsQJbZ+9Rmz
         mee8X8Xoh9qU8387BLTE4DPwX9SEzUsDcV9GbiDeTN60iw+e7JKTDU/F8BOf3hlgcY5H
         KTUk1u9r3EMzaGRwZRw+CzbyxCU55Iwpx6sWQ=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:sender:to:subject:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references:x-google-sender-auth;
        b=pz3sShKidlfX2XKsI7meU8OMyCvoaPe0s5pmtShEj04xWMGSjN21nOPNQAU9V+izzV
         DdpBBJsKsao5vCfeLXIrR5UHCuQpJR4RCQiZct2XftkgZe1NJg7kat++/+7WMSt24T5m
         vruI+v5BtO6FIdJ9M41hy0Fg5/fvM0OAhr+gY=
Received: by 10.90.80.18 with SMTP id d18mr891165agb.71.1229577265366;
        Wed, 17 Dec 2008 21:14:25 -0800 (PST)
Received: by 10.90.120.1 with HTTP; Wed, 17 Dec 2008 21:14:25 -0800 (PST)
Message-ID: <c241693f0812172114l1e6f1642o95db192a0181cd92@HIDDEN>
Date: Thu, 18 Dec 2008 00:14:25 -0500
From: "Jason A. Spiro" <jasonspiro4@HIDDEN>
Sender: jasonspiro@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Please move cperl micro-docs to top of the cperl-mode.el file
In-Reply-To: <20070401035915.3121.73126.malonedeb@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
References: <20070401035915.3121.73126.malonedeb@HIDDEN>
	 <20070401035915.3121.73126.malonedeb@HIDDEN>
X-Google-Sender-Auth: 15949b46b5e2a478
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Package: emacs
Severity: wishlist

Feature request forwarded from https://launchpad.net/bugs/99634 :

---------- Forwarded message ----------
From: Jason Spiro <jasonspiro3@HIDDEN>
Date: 2007/3/31
Subject: [Bug 99634] Please move cperl micro-docs to top of the
cperl-mode.el file
To: jasonspiro3@HIDDEN


Public bug reported:

Binary package hint: emacs-snapshot

I wanted to set Emacs to use cperl-mode instead of perl-mode, but I
didn't know how.  It turns out the answer was in the cperl-tips section
on line 710 of the file.

Please move the cperl micro-docs from the middle of the cperl-mode.el
Elisp file to the top of the file.  This will make more people see them.





Acknowledgement sent to "Jason A. Spiro" <jasonspiro4@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1621; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.